import store from "./store";

export default {
  model: {
    prop: "category",
    event: "change",
  },
  props: {
    name: {
      type: String,
      required: true,
    },
    top: {
      type: Number,
      required: false,
    },
  },
  computed: {
    categories() {
      const all = store.getters.categories.filter(
        (x) => x.tableName == this.name
      );
      if (all.length > 0) this.$emit("change", all[0].id);
      if (this.top) {
        return all.slice(0, this.top);
      } else {
        return all;
      }
    },
  },
  render() {
    return this.$scopedSlots.default(this.categories);
  },
};
