import { get } from "./api";

export default {
  props: {
    name: {
      type: String,
      required: true,
    },
    id: {
      type: [String, Number],
      required: true,
    },
  },
  watch: {
    id() {
      this.load();
    },
  },
  data() {
    return {
      data: null,
      loading: false,
    };
  },
  created() {
    this.load();
  },
  methods: {
    load() {
      this.loading = true;
      get(this.name, this.id)
        .then((resp) => {
          this.data = resp;
          this.$emit("done", resp);
        })
        .finally(() => (this.loading = false));
    },
  },
  render() {
    return this.data && this.$scopedSlots.default(this.data);
  },
};
