import { group } from "./api";
import queryParamMixin from "./queryParamMixin";

export default {
  mixins: [queryParamMixin],
  props:["column"],
  created() {
    this.reload();
  },
  methods: {
    reload() {
      this.loading = true;
      group(this.name, this.column, this.queryParam)
        .then((resp) => {
          this.data = resp.sort((a, b) => {
            if (a[this.column] > b[this.column]) return 1;
            else if (a[this.column] < b[this.column]) return -1;
            else return 0;
          });
          this.$emit("done", resp);
        })
        .finally(() => (this.loading = false));
    },
  },
};
