import { list } from "./api";
import queryParamMixin from "./queryParamMixin";

export default {
  mixins: [queryParamMixin],
  created() {
    this.reload();
  },
  methods: {
    reload() {
      if (this.category == -1) return;
      this.loading = true;
      list(this.name, this.queryParam)
        .then((resp) => {
          this.data = resp;
          this.$emit("done", resp);
        })
        .finally(() => (this.loading = false));
    },
  },
};
