import { top } from "./api";
import queryParamMixin from "./queryParamMixin";

export default {
  mixins: [queryParamMixin],
  props: {
    top: {
      type: Number,
      required: true,
    },
  },
  created() {
    this.reload();
  },
  methods: {
    reload() {
      if (this.category == -1) return;
      this.loading = true;
      top(this.name, this.queryParam, this.top)
        .then((resp) => {
          this.data = resp.records;
          this.$emit("done", resp);
        })
        .finally(() => (this.loading = false));
    },
  },
};
