import request from "./request";

export function top(name, query, top) {
  return page(name, query, top, 1);
}
export function page(name, query, size, index) {
  if (name == "getSearchData") {
    return request.create()({
      url: `/getSearchData?pageIndex=${index}&pageSize=${size}`,
      method: "post",
      data: query || {}
    });
  }
  if (name == "getZixunData") {
    return request.create()({
      url: `/getZixunData?pageIndex=${index}&pageSize=${size}`,
      method: "post",
      data: query || {}
    });
  }
  if (name == "getHuoDongData") {
    return request.create()({
      url: `/getHuoDongData?pageIndex=${index}&pageSize=${size}`,
      method: "post",
      data: query || {}
    });
  }
  return request.create()({
    url: `/data/${name}/page?pageIndex=${index}&pageSize=${size}`,
    method: "post",
    data: query || {}
  });
}

export function list(name, query) {
  return request.create()({
    url: `/data/${name}/list`,
    method: "post",
    data: query || {}
  });
}

export function group(name, column, query) {
  return request.create()({
    url: `/data/${name}/${column}/group`,
    method: "post",
    data: query || {}
  });
}

export function get(name, id) {
  return request.create()({
    url: `/data/${name}/${id}`,
    method: "get"
  });
}

export function getCategories() {
  return request.create()({
    url: `/category/list`,
    method: "get"
  });
}
