import store from "./store";
import config from "./config";
import dayjs from "dayjs";

export function categoryFilter(str, tableName, property) {
  property = property || "name";
  const category = store.getters.categories.find(
    x => x.id == str && x.tableName == tableName
  );
  return category && category[property];
}

export function dateFilter(str, formatStr) {
  return dayjs(str).format(formatStr || config.dateFormat);
}
export function timeFilter(str, formatStr) {
  return dayjs(str).format(formatStr || config.timeFormat);
}

export function urlFilter(json) {
  if (json) {
    const resourceURL = config.baseURL.replace("/public", "");
    const obj = JSON.parse(json);
    if (obj[0]) {
      return resourceURL + obj[0].url;
    }
  }
}

export function resourceFilter(url) {
  const resourceURL = config.baseURL.replace("/public", "");
  return resourceURL + url;
}

export function thumbFilter(json) {
  if (json) {
    const resourceURL = config.baseURL.replace("/public", "");
    const obj = JSON.parse(json);
    if (obj[0]) {
      return resourceURL + obj[0].thumb;
    }
  }
}

export function nameFilter(json) {
  if (json) {
    const obj = JSON.parse(json);
    if (obj[0]) {
      return obj[0].name.substring(0, obj[0].name.indexOf("."));
    }
  }
}
