import Page from "./Page.jsx";
import Top from "./Top.jsx";
import List from "./List.jsx";
import Detail from "./Detail.jsx";
import Pager from "./Pager";
import Categories from "./Categories.jsx";
import Group from "./Group.jsx";
import config from "./config";
import init from "./init";
import mixin from "./mixin";
import dayjs from "dayjs";

import {
  categoryFilter,
  dateFilter,
  timeFilter,
  urlFilter,
  thumbFilter,
  nameFilter,
  resourceFilter
} from "./filters";

export default {
  install: function(Vue, c) {
    Object.assign(config, c);
    Vue.component("page", Page);
    Vue.component("top", Top);
    Vue.component("list", List);
    Vue.component("detail", Detail);
    Vue.component("pager", Pager);
    Vue.component("categories", Categories);
    Vue.component("group", Group);
    Vue.filter("category", categoryFilter);
    Vue.filter("date", dateFilter);
    Vue.filter("time", timeFilter);
    Vue.filter("url", urlFilter);
    Vue.filter("thumb", thumbFilter);
    Vue.filter("name", nameFilter);
    Vue.filter("resource", resourceFilter);
    Vue.mixin(mixin);
    Vue.prototype.$dayjs = dayjs;
    init();
  }
};
