export default {
  methods: {
    $url(json) {
      return this.$options.filters["url"](json);
    },
    $resource(url) {
      return this.$options.filters["resource"](url);
    },
    $thumb(json) {
      return this.$options.filters["thumb"](json);
    },
    $filename(json) {
      return this.$options.filters["name"](json);
    },
    $category(id, tableName) {
      return this.$options.filters["category"](id, tableName);
    },
    $urlEncode(json) {
      const url = this.$url(json);
      return encodeURIComponent(url);
    },
    $bgImage(json, thumb = true) {
      if (thumb)
        return `url(${this.$thumb(json)})`;
      else 
        return `url(${this.$url(json)})`;
    },
    $bgImages(json, resource = true) {
      if (resource)
        return `url(${this.$options.filters["resource"](json)})`;
        else 
        return `url(${this.$options.filters["thumb"](json)})`;
    },
  },
};
