import Vuex from "vuex";
import Vue from "vue";
import { getCategories } from "./api";

Vue.use(Vuex);
const store = new Vuex.Store({
  state: {
    page: {
      total: 0,
      pageIndex: 1,
      pageSize: 0
    },
    data: {
      initailized: false,
      categories: []
    }
  },
  mutations: {
    setTotal(state, total) {
      state.page.total = total;
    },
    setPageIndex(state, pageIndex) {
      state.page.pageIndex = pageIndex;
    },
    setPageSize(state, pageSize) {
      state.page.pageSize = pageSize;
    },
    setData(state, [categories]) {
      state.data.categories = categories;
      state.data.initailized = true;
    }
  },
  actions: {
    init({ commit }) {
      getCategories().then(x => {
        commit("setData", x);
      });
    }
  },
  getters: {
    total: state => state.page.total,
    pageIndex: state => state.page.pageIndex,
    pageSize: state => state.page.pageSize,
    categories: state => state.data.categories,
    initailized: state => state.data.initailized
  }
});

export default store;
